---
lang: en
title: 'API docs: graphql.graphqlserver.getmiddlewarelist'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlserver.getmiddlewarelist.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLServer](./graphql.graphqlserver.md) &gt; [getMiddlewareList](./graphql.graphqlserver.getmiddlewarelist.md)

## GraphQLServer.getMiddlewareList() method

Get a list of middleware

**Signature:**

```typescript
getMiddlewareList(): Promise<Middleware<object>[]>;
```
**Returns:**

Promise&lt;Middleware&lt;object&gt;\[\]&gt;


